setScope
Use the interface to set the audio to global or not, to share its audio configuration with other scenes or not.
Request Mode
POST/GET http://ip/V1.0/volume/setScope?type=512&scope=1
Request Data
| Parameter | Type | Description |
|---|---|---|
| type | Int | The audio type |
| scope | Int | Whether the audio is set to global, which means to sharing audio configuration with other scenes. 0: Share; 1: Not share |
Audio Type
Director Plus
| Type | Description |
|---|---|
| 0x0700 | HDMI 1 |
| 0x0800 | HDMI 2 |
| 0x0802 | HDMI 3 |
| 0x0803 | HDMI 4 |
| 0x0200 | Mic 1 |
| 0x0202 | Mic 2 |
| 0x0604 | App1 |
| 0x0605 | App2 |
| 0x0606 | App3 |
For other audio types, please refer to getConfig, and the "beInMultiScenes" of the audio type must be 1.
Director One / Director Mini
| Type | Description |
|---|---|
| 0x0700 | HDMI 1 |
| 0x0800 | HDMI 2 |
| 0x0200 | Microphone |
For other audio types, please refer to getConfig, and the "beInMultiScenes" of the audio must be 1.